﻿jQuery.fn.extend({
    vali: function() {
        var istest;
        this.each(function() {
            $obj = $(this);
            var tip = "";
            if ($obj.attr("tip") != undefined && $obj.attr("tip").length > 0) {
                tip = $(this).attr("tip");
                $obj.bind("click",
				function() {
				    if (this.value == tip) {
				        this.value = ""
				    }
				});
                if ($obj.val() == "") {
                    this.value = tip
                }
            }
            $obj.bind("blur",
			function() {
			    if (this.value == "") {
			        if (tip.length > 0) this.value = tip
			    } else {
			        if ($(this).attr("exp") == "nation") { return}
			        valiele(this)
			    }
			})
        })
    }
});
var $AuthPrompt = {
    "Regular": {
    "EmptyStr": "Do not leave options blank. ",
        "OnlyLetter": "Make sure your name contains only letters, spaces, hyphens, periods or apostrophes. Please remove any numbers, symbols, letters with accent marks, commas, or other punctuation.",
        "OnlyNum": "Please input a number.",
        "OnyInteger": "Please input integers."
    },
    "Regex": {
        "Email": "You entered an e-mail address that isn't properly formatted. Please check to make sure you entered it correctly.",
        "Date": "This date is not available, please select a valid date."
    },
    "Limit": {
    max: function(c) { return "The total number of input characters cannot exceed " + c + "."; },
    min: function(c) { return "The total number of input characters cannot be below " + c + "."; }
    },
    "Special":
    {
        "NationIDNull": "nation can not be empty.",
        "NationNameNull": "Please check your Country."
    }
}
function Formvali(cn) {
    var $eles = $(":input." + cn).not("[disabled]");
    var flag = true;
    for (var i = 0; i < $eles.length; i++) {
        if (!valiele($eles[i], true)) {
            return false
        }
    }
    return flag
}
function valiele(src, focus) {
    var exp = $(src).attr("exp");
    var flag = true;
    var tip = $(src).attr("tip");
    var val = $.trim(src.value);
    if (typeof (tip) != "undefined" && typeof (exp) != "undefined" && tip == val) {
        valitip(src,"Please input the "+ tip, focus);
        return false
    }
    switch (exp) {
        case "non_empty":
            {
                if (val == "") {
                    valitip(src, $AuthPrompt.Regular.EmptyStr, focus);
                    flag = false
                } else {
                    $(src).css("border-color", "#eee")
                }
                break
            }
        case "email":
            {
                if (!ismail(val) && val != "") {
                    valitip(src, $AuthPrompt.Regex.Email, focus);
                    flag = false
                } else {
                    $(src).css("border-color", "#eee")
                }
                break
            }
        case "letter":
            {
                if (val == "" || !isletter(val)) {
                    valitip(src, $AuthPrompt.Regular.OnlyLetter, focus);
                    flag = false
                } else {
                    $(src).css("border-color", "#eee")
                }
                break
            }
        case "number":
            {
                if (!isnum($.trim(val)) || val.length == 0) {
                    valitip(src, $AuthPrompt.Regular.OnlyNum, focus);flag = false
                } else {
                    $(src).css("border-color", "#eee")
                }
                break
            }
        case "minsize":
            {
                var min = Number($(src).attr("minsize"));
                if (val.length < min) {
                    valitip(src, $AuthPrompt.Limit.min(min), focus);
                    flag = false
                } else {
                    $(src).css("border-color", "#eee")
                }
                break
            }
        case "maxsize":
            {
                var max = Number($(src).attr("maxsize"));
                if (val.length > max) {
                    valitip(src, $AuthPrompt.Limit.max(max), focus);
                    flag = false
                } else {
                    $(src).css("border-color", "#eee")
                }
                break
            }
        case "nation":
            {
                var nation = $("#CountryID").val();
                if (!isnum(nation) || nation == "") {
                    valitip(src, $AuthPrompt.Special.NationIDNull, focus);
                    flag = false
                } else if (val == "") {
                valitip(src, $AuthPrompt.Special.NationNameNull, focus);
                    flag = false
                } else {
                    $(src).css("border-color", "#eee")
                }
                break
            }
        case "date":
            {
                if (val.length > 0 && !isdateformat(val, "YYYY-MM-DD")) {
                    valitip(src, $AuthPrompt.Regex.Date, focus);
                    flag = false
                } else {
                    $(src).css("border-color", "#eee")
                }
                break
            }
    }
    return flag
}
function ismail(val) {
    var myreg = /^([a-zA-Z0-9]+[_|\_|\.\-]?)*[a-zA-Z0-9]+@([a-zA-Z0-9]+[_|\_|\.\-]?)*[a-zA-Z0-9]+\.[a-zA-Z]{2,3}$/;
    return regvali(val, myreg)
}
function isletter(val) {
    var myreg = /^[a-zA-Z\s]*$/;
    return regvali(val, myreg)
}
function isnum(val) {
    return !isNaN(Number($.trim(val)))
}
function regvali(val, myreg) {
    if (myreg.test(val)) {
        return true
    } else {
        return false
    }
}
function valitip(src, info, focus) {
    if (info == "") {
        info = $(src).attr("msg")
    }
    alert(info);
    if (typeof (focus) != "undefined") {
        if (focus) {
            $(src).focus()
        }
    }
}